::Update 1.1, removed ++ from folder names

@echo off


:Admin_Test
::Test if running as administrator.

setlocal
set rights="%windir%\mytest"

(date /t > %rights%) 2> nul && (del %rights% & set elevate=1) || (set elevate=)

if defined elevate (goto OS_Ver) ELSE (goto Non-admin)

endlocal


:OS_Ver
::Test for OS version
setlocal

ver | findstr /i /c:"6.1." > nul
if %errorlevel% equ 0 set PCVer=7

ver | findstr /i /c:"6.2." > nul
if %errorlevel% equ 0 set PCVer=8

ver | findstr /i /c:"6.3." > nul
if %errorlevel% equ 0 set PCVer=8

ver | findstr /i /c:"10.0." > nul
if %errorlevel% equ 0 set PCVer=10

::Checking desktop & downloads directories for MSVCRedist folder.
if exist "%userprofile%\desktop\MSVCRedist" (set localInstall=%userprofile%\desktop\MSVCRedist)
if exist "%userprofile%\downloads\MSVCRedist" (set localInstall=%userprofile%\downloads\MSVCRedist) 

::If cannot find MSVCRedist folder in downloads or desktop folders, advise user & exit.
if NOT exist "%localInstall%" goto UnknownPath


If %PCVer% equ 7 goto Win7
If %PCVer% equ 8 goto Win8
If %PCVer% equ 10 goto Win10

endlocal

goto UnknownOS

:Win7
"%localInstall%\2005\vcredist_x86.exe"
"%localInstall%\2005\vcredist_x86SP1.exe"

:Win8

:Win10
"%localInstall%\2010SP1\vcredist_x86.exe"
"%localInstall%\2013\vcredist_x86.exe"

@echo Microsoft Visual C++ Redistributable pre-reqs installed.

Pause

goto End



:End
endlocal
exit

:Non-admin
@Echo This must be run as administrator.
Pause > nul
goto End


:UnknownOS
@echo Unsupported OS; exiting.
Pause > nul
goto End

:UnknownPath
@echo Unable to locate MSVCRedist folder.  Ensure the zip file has been extracted to your Downloads or Desktop.
Pause > nul
goto End